1. Poizon Order Manage
  • API Signature Integration
    • PHP Version
    • JAVA Version
    • Golang Version
  • Alibaba[1688] Open Platform API
    • 1688 Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
      • API for 1688 Recommended Products
    • 1688 Business Opportunities
      • API for 1688 Hot Products
      • API for 1688 Hot Keywords
    • 1688 Logistics
      • API for China Domestic Shipping Cost
      • API for Logistics Company List
    • 1688 Category
      • API for Category Search on 1688
    • 1688 Order Manage
      • API for Creating Preview Order
      • API for Creating Formal Order
      • API for Canceling Formal Order
      • API for Querying Order Details
      • API for Confirming Order Receipt
      • API for Retrieving Payment Link
      • API for Auto Payment of Order
    • 1688 Tools
      • API for Querying Openuid
      • API for obtaining the Wangwang Chat Link
    • 1688 Refund Order Manage
      • API for Querying Refund Order
        • Querying Details by Order ID
        • Querying Details by Refund Order ID
      • API for Querying Refund-Return Reasons
      • API for Querying Merchant Return Address
      • API for Querying Max Refundable Amount
      • API for Submitting Refund Application
      • API for Submitting Return ExprInfo
    • 1688 Message Service
      • Callback Message Signature Verification Specification
      • Order Created Message
      • Order Price Modification Message
      • Transaction Payment Message
      • Order Delivery Message
      • Logistics Order Status Change
      • Order Receipt Confirmation Message
      • Transaction Completed Message
  • Taobao Open Platform API
    • Taobao Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
    • Taobao Logistics
      • API for China Domestic Shipping Cost
    • Taobao Order Manage
      • Product Bunker interface
      • API for Creating Preview Order
      • API for Creating Formal Order
      • API for Canceling Formal Order
      • API for Querying Order Details
      • API for Auto Payment of Order
    • Taobao Message Service
      • Callback Message Signature Verification Specification
      • Order Status Update Message
      • Order Price Change Message
  • Poizon API
    • Poizon Product Search
      • API for Product Keyword Search
      • API for Product Detail Search
    • Poizon Order Manage
      • API for Create order & Payment Order
        POST
      • API for Canceling Formal Order
        POST
      • API for Querying Order Details
        POST
      • Query logistics track information
        POST
    • Poizon Balance Query API
      • API for Dewu Balance Query
  1. Poizon Order Manage

API for Create order & Payment Order

POST
/poizon/order/createOrder
1.Create a new order and use the prepaid amount for payment. Once the order is successfully created and paid, procurement will proceed. If procurement fails, the prepaid amount will be refunded.
2.The request ID is unique and cannot be changed after the order is created.

Request

Body Params application/json

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://open-api.soureco.com/poizon/order/createOrder' \
--header 'Content-Type: application/json' \
--data-raw '{
  "appKey": "",
  "appSecret": "",
  "requestId": "REQ202501011003",
  "thirdOrderId":"A0000001",
  "shippingAddress": {
    "name": "张三",
    "email": "XXX@XXX.com",
    "phone": "18888888888",
    "province": "浙江省",
    "city": "杭州市",
    "district": "滨江区",
    "detailAddress": "网商路699号"
  },
  "product": {
    "dwSpuId": "4329499",
    "dwSkuId": "620516702",
    "quantity": 1,
    "price": 5900
  }
}'
Response Response Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "requestId": "REQ202501011003",
        "customerOrderNo": "OA00835379",
        "distOrderNo": "913033-OA00835379",
        "orderItems": [
            {
                "distSubOrderNo": "913033-OA00835379_1",
                "orderStatus": "PAID",
                "distSkuId": "379a2694-8ff9-47c6-9e9c-2de3c536511e",
                "dwSkuId": "620516702",
                "quantity": 1,
                "createTime": 1779172708157,
                "modifyTime": 1779172708157,
                "realPayAmount": "59.00",
                "currency": "CNY"
            }
        ]
    },
    "status": 200
}
Previous
API for Product Detail Search
Next
API for Canceling Formal Order
Built with